Nexus
Get Nexus For Org
Get a list of all nexuses for the organization.
GET
/
v1
/
nexus
Get Nexus For Org
curl --request GET \
--url https://api.trykintsugi.com/v1/nexus \
--header 'X-API-KEY: <api-key>' \
--header 'x-organization-id: <api-key>'import requests
url = "https://api.trykintsugi.com/v1/nexus"
headers = {
"X-API-KEY": "<api-key>",
"x-organization-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<api-key>', 'x-organization-id': '<api-key>'}
};
fetch('https://api.trykintsugi.com/v1/nexus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"state_code": "<string>",
"state_name": "<string>",
"trigger": "<string>",
"threshold_sales": 123,
"threshold_transactions": 123,
"start_date": "2023-12-25",
"period_start_date": "2023-12-25",
"period_end_date": "2023-12-25",
"previous_period_start_date": "<string>",
"previous_period_end_date": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organization_id": "<string>",
"is_vda_eligible": true,
"total_transactions": 123,
"total_transactions_included": 123,
"total_transactions_exempted": 123,
"total_transactions_marketplace": 123,
"marketplace_included": true,
"processing_status": "UP_TO_DATE",
"status": "NOT_EXPOSED",
"transaction_count": 0,
"transactions_amount": "0.00",
"previous_transaction_count": 0,
"previous_transactions_amount": "0.00",
"calculated_tax_liability": "0.00",
"imported_tax_liability": "0.00",
"tax_liability": "0.00",
"nexus_met": false,
"nexus_met_date": "<string>",
"economic_nexus_met": false,
"economic_nexus_met_date": "<string>",
"physical_nexus_met": false,
"physical_nexus_met_date": "<string>",
"collected_tax_nexus_met": false,
"collected_tax_nexus_met_date": "<string>",
"earliest_transaction_date": "<string>",
"most_recent_transaction_date": "<string>",
"find_threshold_crossing_transaction_state": {
"period_start_date": "<string>",
"period_end_date": "<string>",
"running_sales_total_decimal": "<string>",
"running_transaction_count": 123,
"has_all_marketplace_transactions": true,
"last_txn_id": "<string>",
"last_txn_datetime": "<string>"
},
"earliest_collected_date": "2018-01-01T00:00:00",
"predicted_month_from_today": 123,
"vda_eligible": false,
"confidence_level": 123,
"last_processed_at": "<string>",
"last_tax_liability_processed_at": "<string>",
"periods": [
{}
],
"registration": {},
"disregarded_at": "<string>",
"disregarded_by": "<string>",
"disregarded_nexus_types": [
"<string>"
],
"is_currently_disregarded": false
}
],
"total": 1,
"page": 2,
"size": 2,
"pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query Parameters
Return all results without pagination
Filter nexuses by disregard view: 'exposed' or 'disregarded'
status__in
string
default:APPROACHING,NOT_EXPOSED,PENDING_REGISTRATION,EXPOSED,APPROACHING,REGISTERED
Required range:
x >= 1Required range:
1 <= x <= 100Previous
Get Physical NexusRetrieve a paginated list of
physical nexuses for a specific organization.
Next
⌘I
Get Nexus For Org
curl --request GET \
--url https://api.trykintsugi.com/v1/nexus \
--header 'X-API-KEY: <api-key>' \
--header 'x-organization-id: <api-key>'import requests
url = "https://api.trykintsugi.com/v1/nexus"
headers = {
"X-API-KEY": "<api-key>",
"x-organization-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<api-key>', 'x-organization-id': '<api-key>'}
};
fetch('https://api.trykintsugi.com/v1/nexus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"state_code": "<string>",
"state_name": "<string>",
"trigger": "<string>",
"threshold_sales": 123,
"threshold_transactions": 123,
"start_date": "2023-12-25",
"period_start_date": "2023-12-25",
"period_end_date": "2023-12-25",
"previous_period_start_date": "<string>",
"previous_period_end_date": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organization_id": "<string>",
"is_vda_eligible": true,
"total_transactions": 123,
"total_transactions_included": 123,
"total_transactions_exempted": 123,
"total_transactions_marketplace": 123,
"marketplace_included": true,
"processing_status": "UP_TO_DATE",
"status": "NOT_EXPOSED",
"transaction_count": 0,
"transactions_amount": "0.00",
"previous_transaction_count": 0,
"previous_transactions_amount": "0.00",
"calculated_tax_liability": "0.00",
"imported_tax_liability": "0.00",
"tax_liability": "0.00",
"nexus_met": false,
"nexus_met_date": "<string>",
"economic_nexus_met": false,
"economic_nexus_met_date": "<string>",
"physical_nexus_met": false,
"physical_nexus_met_date": "<string>",
"collected_tax_nexus_met": false,
"collected_tax_nexus_met_date": "<string>",
"earliest_transaction_date": "<string>",
"most_recent_transaction_date": "<string>",
"find_threshold_crossing_transaction_state": {
"period_start_date": "<string>",
"period_end_date": "<string>",
"running_sales_total_decimal": "<string>",
"running_transaction_count": 123,
"has_all_marketplace_transactions": true,
"last_txn_id": "<string>",
"last_txn_datetime": "<string>"
},
"earliest_collected_date": "2018-01-01T00:00:00",
"predicted_month_from_today": 123,
"vda_eligible": false,
"confidence_level": 123,
"last_processed_at": "<string>",
"last_tax_liability_processed_at": "<string>",
"periods": [
{}
],
"registration": {},
"disregarded_at": "<string>",
"disregarded_by": "<string>",
"disregarded_nexus_types": [
"<string>"
],
"is_currently_disregarded": false
}
],
"total": 1,
"page": 2,
"size": 2,
"pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}